Get a card product
curl --request GET \
--url https://api.kemycard.com/v1/cards/products/{code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/cards/products/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/cards/products/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Mastercard Virtual Basic",
"description": "Virtual Mastercard for online transactions",
"brand": "MASTERCARD",
"currency": "USD",
"type": "virtual",
"is_issuable": true,
"is_reloadable": true,
"required_level": "basic",
"limits": {
"max_balance": 1000,
"min_reload": 5,
"max_reload": 1000,
"spend_limit_monthly": 5000,
"spend_limit_monthly_without_kyc": 1000,
"max_card_per_user": 3,
"max_card_per_user_without_kyc": 1,
"unlimited_cards": false,
"period_of_validity_months": 24
},
"features": {
"google_pay": true,
"apple_pay": true,
"atm_available": true,
"addons": true
},
"initial_load": {
"required": true,
"min": 10,
"max": 2500
},
"fees": {
"card_fee": 30,
"card_fee_with_kyc": 20,
"service_fee_percent": 5,
"service_fee_min": 5,
"service_fee_percent_with_kyc": 3.5,
"service_fee_min_with_kyc": 3.5,
"monthly_fee": "<string>",
"auth_fee": "<string>",
"fx_cross_border_fee": "3%"
},
"atm_limits": {
"amount_per_transaction": 500,
"amount_per_month": 5000,
"transactions_per_day": 3
}
},
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}Card Products
Get a Card Product
Returns details of a specific card product by its UUID.
GET
/
cards
/
products
/
{code}
Get a card product
